#include <iostream>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int broj=(n-2)*(m-2)-(n-2)*(m-2)/2;
    if(n>1 && m>1)
    cout<<n*m-broj;
    else if(n==1 && m==1)
        cout<<1;
    return 0;
}